Loading...
Searching...
No Matches
partition_copy.hpp File Reference

## Typedefs

template<typename I , typename O0 , typename O1 >
using | ranges::partition_copy_result = detail::in_out1_out2_result< I, O0, O1 >

## Functions

template<typename I , typename S , typename O0 , typename O1 , typename C , typename P = identity> requires input_iterator<I> && sentinel_for<S, I> && weakly_incrementable<O0> && weakly_incrementable<O1> && indirectly_copyable<I, O0> && indirectly_copyable<I, O1> && indirect_unary_predicate<C, projected<I, P>>
constexpr partition_copy_result< I, O0, O1 > | ranges::partition_copy (I first, S last, O0 o0, O1 o1, C pred, P proj=P{})
| function template `partition_copy`
template<typename Rng , typename O0 , typename O1 , typename C , typename P = identity> requires input_range<Rng> && weakly_incrementable<O0> && weakly_incrementable<O1> && indirectly_copyable<iterator_t<Rng>, O0> && indirectly_copyable<iterator_t<Rng>, O1> && indirect_unary_predicate<C, projected<iterator_t<Rng>, P>>
constexpr partition_copy_result< borrowed_iterator_t< Rng >, O0, O1 > | ranges::partition_copy (Rng &&rng, O0 o0, O1 o1, C pred, P proj=P{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.